/**
 * This is based heavily on the Material CDK DomPortalOutlet.
 * I just trimmed it down a bunch.
 */
import { EmbeddedViewRef } from '@angular/core';
import { Template } from './Template';
export declare class DomOutlet {
    targetElement: Element;
    private disposeFn;
    private template;
    private _viewRef;
    constructor(targetElement: Element);
    attachTemplate<C>(template: Template): EmbeddedViewRef<C>;
    updateContext(context: {
        [prop: string]: any;
    }): void;
    setDisposeFn(fn: () => void): void;
    attach(template: Template): EmbeddedViewRef<any>;
    detach(): void;
    dispose(removeParent?: boolean): undefined;
    private invokeDisposeFn;
}
