import { ElementRef, AfterViewInit, EventEmitter } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
export declare class TimePickerDirective implements AfterViewInit, ControlValueAccessor {
    private _element;
    private ngControl?;
    private _locale?;
    private _timezone?;
    private _meridiem?;
    readonly valueChange: EventEmitter<string | null>;
    value: string;
    constructor(_element: ElementRef, ngControl?: NgControl, _locale?: string, _timezone?: string, _meridiem?: boolean);
    ngAfterViewInit(): void;
    writeValue(newValue: string): void;
    onChange: (value: any) => void;
    onTouch: () => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onInput(event: any): void;
}
