import { ChangeDetectorRef, OnDestroy, ElementRef, EventEmitter, Renderer2, AfterViewInit } from '@angular/core';
import { ControlValueAccessor, NgControl, NgModel } from '@angular/forms';
import { DateAdapter } from '../services/date-picker.service';
export declare class DatePickerDirective implements OnDestroy, ControlValueAccessor, AfterViewInit {
    private renderer;
    private _element;
    private changeRef;
    dateAdapter: DateAdapter<Date>;
    private ngControl?;
    value: Date;
    adapter: any;
    ngModel: NgModel;
    outerValue: string;
    languageCode: string;
    adapterStrategy: DateAdapter<Date>;
    readonly valueChange: EventEmitter<Date | null>;
    private innerDateValue;
    private listenerFn;
    constructor(renderer: Renderer2, _element: ElementRef, changeRef: ChangeDetectorRef, dateAdapter: DateAdapter<Date>, ngControl?: NgControl, _locale?: string);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    writeValue(newValue: Date): void;
    onChange: (value: any) => void;
    onTouch: () => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onInput(event: any): void;
    onCalendarSelect(event: any): void;
    private updateInnerValue;
    private propogateInnerValueChange;
}
