import { ToastContext } from '@anjuna/core';
export declare class MockToast {
    message: string;
    context: ToastContext;
    header?: string;
    constructor(message: string, context: ToastContext, header?: string);
    dismiss(): Promise<void>;
}
/** @dynamic */
export declare const mockToastController: {
    dismissAll: () => void;
    error: (message: string, header?: string) => HTMLAnjToastElement;
    message: (message: string, header?: string) => HTMLAnjToastElement;
    success: (message: string, header?: string) => HTMLAnjToastElement;
    warn: (message: string, header?: string) => HTMLAnjToastElement;
    componentOnReady: () => Promise<{}>;
    addEventListener: (name: any, fn: any) => void;
};
/** @dynamic */
export declare class MockToastService {
    private readonly controller;
    static createController(): HTMLAnjToastControllerElement;
    constructor();
    dismissAll(): void;
    error(message: string, header?: string): Promise<HTMLAnjToastElement>;
    message(message: string, header?: string): Promise<HTMLAnjToastElement>;
    success(message: string, header?: string): Promise<HTMLAnjToastElement>;
    warn(message: string, header?: string): Promise<HTMLAnjToastElement>;
}
